#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0x71,0xA6,0x31,0x96,0x98,0x30,0x0F,0x6B,0xE2,0x39,0x96,
		0xE1,0x73,0xA4,0xCD,0xCB,0xD9,0x87,0x10,0x97,0x6F,0xF2,0xB3,
		0xAC,0x7A,0x53,0xE3,0x11,0xB6,0x5B,0xD8,0xAE,0x16,0xF3,0x60,
		0x5A,0x01,0xD0,0x5B,0x2B,0xAE,0xE3,0x43,0x5E,0xAD,0xFD,0x57,
		0x0C,0x63,0xB9,0x76,0x97,0x7E,0xF7,0xF4,0xCD,0xFD,0x30,0xDE,
		0x6D,0xE1,0x49,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
